%define upstream_name	 HTML-FillInForm
%define upstream_version 2.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Populates HTML Forms with data
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TJ/TJMATHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(integer)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module automatically inserts data from a previous HTML form into the HTML
input, textarea, radio buttons, checkboxes and select tags.  It is a subclass
of HTML::Parser and uses it to parse the HTML and insert the values into the
form tags.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/HTML

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.220.0-2.mga9
+ Revision: 1820741
- Mageia 9 Mass Rebuild

* Mon Sep 27 2021 tv <tv> 2.220.0-1.mga9
+ Revision: 1746676
- update to 2.22

* Wed Feb 12 2020 umeabot <umeabot> 2.210.0-8.mga8
+ Revision: 1494903
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.210.0-7.mga7
+ Revision: 1268483
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.210.0-6.mga6
+ Revision: 1028217
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.210.0-5.mga6
+ Revision: 942795
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.210.0-4.mga5
+ Revision: 741198
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.210.0-3.mga5
+ Revision: 733060
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.210.0-2.mga5
+ Revision: 684931
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 sander85 <sander85> 2.210.0-1.mga5
+ Revision: 662739
- update to 2.21

* Sat Oct 19 2013 umeabot <umeabot> 2.200.0-2.mga4
+ Revision: 531914
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 2.200.0-1.mga4
+ Revision: 465713
- update to 2.20

* Fri Jun 07 2013 jquelin <jquelin> 2.110.0-1.mga4
+ Revision: 439347
- update to 2.11

* Sun Jan 13 2013 umeabot <umeabot> 2.100.0-2.mga3
+ Revision: 367997
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 30 2011 jquelin <jquelin> 2.100.0-1.mga2
+ Revision: 136598
- adding missing buildrequires:
- update to 2.1

* Wed Jan 19 2011 jquelin <jquelin> 2.0.0-5.mga1
+ Revision: 23864
- cleaning spec file
- imported package perl-HTML-FillInForm


* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 2.0.0-5mdv2010.1
+ Revision: 505764
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.00-4mdv2010.0
+ Revision: 430466
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.00-3mdv2009.0
+ Revision: 257200
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.00-1mdv2008.1
+ Revision: 97498
- update to new version 2.00

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2008.0
+ Revision: 63957
- update to new version 1.07


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.06-2mdv2007.0
+ Revision: 108508
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-HTML-FillInForm

* Tue Oct 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-1mdk
- new version 
- %%mkrel
- spec cleanup
- better url
- better summary

* Mon Jan 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.05-1mdk
- 1.05
- New description

* Thu Apr 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.04-1mdk
- 1.04

